#include<bits/stdc++.h>
using namespace std;

const int maxn=1e5+3;
int a[maxn], b[maxn];
int n, ans;
bool d[maxn][maxn];
bool f[maxn][maxn];

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
cin>>n;
ans=1;
for(int i=0; i<n; i++){
    cin>>a[i];
}

for(int i=0; i<n; i++){
    cin>>b[i];
}

for(int i=0; i<n; i++){
    if(a[i]!=b[i]){
        ans++;
    }
}
cout<<(ans+1)/2;

return 0;
}

